Package org.kie.api.event.process

## Class DefaultProcessEventListener

- java.lang.Object
- - org.kie.api.event.process.DefaultProcessEventListener

- All Implemented Interfaces:
    `EventListener`, `ProcessEventListener`

      public class DefaultProcessEventListener
      extends Object
      implements ProcessEventListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultProcessEventListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterNodeLeft​(ProcessNodeLeftEvent event)` | This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
    `void` | `afterNodeTriggered​(ProcessNodeTriggeredEvent event)` | This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
    `void` | `afterProcessCompleted​(ProcessCompletedEvent event)` | This listener method is invoked right after a process instance has been completed (or aborted).
    `void` | `afterProcessStarted​(ProcessStartedEvent event)` | This listener method is invoked right after a process instance has been started.
    `void` | `afterVariableChanged​(ProcessVariableChangedEvent event)` | This listener method is invoked right after the value of a process variable has been changed.
    `void` | `beforeNodeLeft​(ProcessNodeLeftEvent event)` | This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
    `void` | `beforeNodeTriggered​(ProcessNodeTriggeredEvent event)` | This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
    `void` | `beforeProcessCompleted​(ProcessCompletedEvent event)` | This listener method is invoked right before a process instance is being completed (or aborted).
    `void` | `beforeProcessStarted​(ProcessStartedEvent event)` | This listener method is invoked right before a process instance is being started.
    `void` | `beforeVariableChanged​(ProcessVariableChangedEvent event)` | This listener method is invoked right before the value of a process variable is being changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `afterSLAViolated, beforeSLAViolated, onAsyncNodeScheduledEvent, onMessage, onSignal`

- - ### Constructor Detail

    - #### DefaultProcessEventListener

          public DefaultProcessEventListener()

  - ### Method Detail

    - #### afterNodeLeft

          public void afterNodeLeft​(ProcessNodeLeftEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
      Specified by:
        `afterNodeLeft` in interface `ProcessEventListener`

    - #### afterNodeTriggered

          public void afterNodeTriggered​(ProcessNodeTriggeredEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
      Specified by:
        `afterNodeTriggered` in interface `ProcessEventListener`

    - #### afterProcessCompleted

          public void afterProcessCompleted​(ProcessCompletedEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right after a process instance has been completed (or aborted).
      Specified by:
        `afterProcessCompleted` in interface `ProcessEventListener`

    - #### afterProcessStarted

          public void afterProcessStarted​(ProcessStartedEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right after a process instance has been started.
      Specified by:
        `afterProcessStarted` in interface `ProcessEventListener`

    - #### afterVariableChanged

          public void afterVariableChanged​(ProcessVariableChangedEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right after the value of a process variable has been changed.
      Specified by:
        `afterVariableChanged` in interface `ProcessEventListener`

    - #### beforeNodeLeft

          public void beforeNodeLeft​(ProcessNodeLeftEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
      Specified by:
        `beforeNodeLeft` in interface `ProcessEventListener`

    - #### beforeNodeTriggered

          public void beforeNodeTriggered​(ProcessNodeTriggeredEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
      Specified by:
        `beforeNodeTriggered` in interface `ProcessEventListener`

    - #### beforeProcessCompleted

          public void beforeProcessCompleted​(ProcessCompletedEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right before a process instance is being completed (or aborted).
      Specified by:
        `beforeProcessCompleted` in interface `ProcessEventListener`

    - #### beforeProcessStarted

          public void beforeProcessStarted​(ProcessStartedEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right before a process instance is being started.
      Specified by:
        `beforeProcessStarted` in interface `ProcessEventListener`

    - #### beforeVariableChanged

          public void beforeVariableChanged​(ProcessVariableChangedEvent event)

      Description copied from interface: `ProcessEventListener`
      This listener method is invoked right before the value of a process variable is being changed.
      Specified by:
        `beforeVariableChanged` in interface `ProcessEventListener`